Diskussion:IPKG: Unterschied zwischen den Versionen

Aus Synology Wiki
Wechseln zu: Navigation, Suche
(Warum wird die PATH auskommentiert ?)
(Neuer Abschnitt Bootstrap Installer gibt es nicht mehr)
Zeile 37: Zeile 37:
  
 
Bei mir gibt es auf der DS212+ / DSM 4.0 kein /root/.profile, nur ein /etc/profile. Selbst wenn ich in letzterem die PATH anpasse, reicht das nicht, ich muß jeweils nach Logon auf der Kommandozeile PATH="/sbin:/bin:/usr/sbin:/usr/bin:/usr/syno/sbin:/usr/syno/bin:/usr/local/sbin:/usr/local/bin:/opt/bin"  eingeben, damit ipkg gefunden wird. Damit geht´s erst mal...
 
Bei mir gibt es auf der DS212+ / DSM 4.0 kein /root/.profile, nur ein /etc/profile. Selbst wenn ich in letzterem die PATH anpasse, reicht das nicht, ich muß jeweils nach Logon auf der Kommandozeile PATH="/sbin:/bin:/usr/sbin:/usr/bin:/usr/syno/sbin:/usr/syno/bin:/usr/local/sbin:/usr/local/bin:/opt/bin"  eingeben, damit ipkg gefunden wird. Damit geht´s erst mal...
 +
 +
== Bootstrap Installer gibt es nicht mehr ==
 +
 +
Hallo, das automatische Installieren per Paket von planquadrat geht nicht mehr (auf meiner 4.3), dazu habe ich auch einen Blockeintrag vom Autor gefunden, wo er das erklärt:
 +
http://blog.quadrat4.de/post/83741755163/no-more-synology-packages
 +
Dann kann man den Punkt **Automatische Installation per Paketverwaltung** ja schlichtweg entfernen, leider.
 +
Oder?

Version vom 8. Mai 2014, 07:31 Uhr

Frage zum Kapitel: "Weitergehende Installation IPKG"

Bei mir führt "ln -s /volume1/@optware /opt" nicht zu einem funktionierenden Link. Der Zielodner heisst bei mir auch "opt" und nicht "@optware". Habe ich da was falsch verstanden? rau3

Die Optware Installation liegt eigentlich in /voume1/@optware. Auf diesen Ordner gibt es eine Verknüpfung nach /opt. Solange diese Verknüpfung nicht mit "umount /opt" aufgelöst wurde, wird ein "ln -s /volume1/@optware /opt" auch nicht funktionieren. Steht aber auch so oder so ähnlich im Text der Seite - meine ich zumindest. Wenn Du eine besser verständliche Formulierung findest, kannst Du das gerne ändern.

Trolli 11:40, 8. Feb. 2011 (UTC)

Die Optware wird scheinbar je nach DS-Modell in verschiedenen Verzeichnissen installiert. Bei der DS107 ist es /volume1/opt und bei mir sieht auch die /etc/rc.local etwas anders aus, aber das kann durch andere Manipulationen gekommen sein.

Joto, 10. Feb 2011

Die neuen IPKG-Skripte installieren alle nach /volume1/@optware. Das war früher allerdings mal anders. Zu Anfangszeiten wurde nach /volume1/opt installiert. Der Pfad variiert also nicht nach den eingesetzten Modellen, sondern hängt von der Version des Installationsskripts ab.

Trolli 21:36, 10. Feb. 2011 (UTC)

Frage zu opt

Einmal heißt es /etc/opt/, statt /opt/etc/. Muss es beides geben?

Nachdem rm -rf /opt passiert ist, wird später aber auf /opt/ eingegangen. Ist ab diesem rm dann implizit /volume1/@optware/ gemeint?

Warum wird die PATH auskommentiert ?

ist das ein Witz ? Habeeinenueblenmundgeruch 16:25, 8. Mär. 2012 (UTC)

das Frage ich mich auch. Warum muss das auskommentiert werden? --Raymond 14:36, 31. Aug. 2012 (CEST)
Problem ist, das /opt/bin und /opt/sbin in PATH sein müssen. Das wird in /etc/profile erledigt, aber für root in /root/.profile wieder überschrieben, und deshalb wird vorgeschlagen, das auszukommentieren. --EL Duderino 11:40, 2. Okt. 2012 (CEST)
Durch Auskommentieren die PATH Angabe aus .profile zu deaktivieren erscheint mir aber auch nicht sinnvoll. Richtiger wäre es diese zusammenzuführen, etwa indem man die PATH Zeile so anpasst: PATH=$PATH:/sbin:/bin:/usr/sbin:/usr/bin:/usr/syno/sbin:/usr/syno/bin:/usr/local/sbin:/usr/local/bin

PATH Anpassung nur manuell möglich, damit ipkg auf DS212 / DSM4.0 gefunden wird?

Bei mir gibt es auf der DS212+ / DSM 4.0 kein /root/.profile, nur ein /etc/profile. Selbst wenn ich in letzterem die PATH anpasse, reicht das nicht, ich muß jeweils nach Logon auf der Kommandozeile PATH="/sbin:/bin:/usr/sbin:/usr/bin:/usr/syno/sbin:/usr/syno/bin:/usr/local/sbin:/usr/local/bin:/opt/bin" eingeben, damit ipkg gefunden wird. Damit geht´s erst mal...

Bootstrap Installer gibt es nicht mehr

Hallo, das automatische Installieren per Paket von planquadrat geht nicht mehr (auf meiner 4.3), dazu habe ich auch einen Blockeintrag vom Autor gefunden, wo er das erklärt: http://blog.quadrat4.de/post/83741755163/no-more-synology-packages Dann kann man den Punkt **Automatische Installation per Paketverwaltung** ja schlichtweg entfernen, leider. Oder?